> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.

When the job succeeds, this endpoint returns a signed URL for the reconciliation report workbook.

#### Reconciliation report schema

Use this workbook schema to inspect or validate the downloaded report.

<Card title="View reconciliation report schema" icon="file-spreadsheet" href="https://sheet-tools.quicko.org.in/sheet-schema-builder?schema_url=https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/analytics/reconciliation/reconciliation_report_workbook.schema.json" arrow="true" horizontal />

<Note>
  If the job fails validation, use the `validation_report_url` from the poll response to review the issues in the uploaded files.
</Note>


## OpenAPI

````yaml api-reference/gst/analytics/openapi.json GET /gst/analytics/gstr-2a-reconciliation
openapi: 3.1.0
info:
  title: analytics
  version: 1.0.0
  description: >-
    **GST Analytics API** enables businesses to analyze and dive deep into the
    GST data including reconciliations of GSTR-2B with purchase ledgers,
    compliance checks of businesses, and more.
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /gst/analytics/gstr-2a-reconciliation:
    get:
      tags:
        - GSTR-2A Reconciliation
      summary: Reconcile GSTR-2A Job Status
      description: >-
        Fetch GSTR-2A reconciliation job status and download reconciliation
        report on job's successful completion.
      parameters:
        - name: job_id
          in: query
          required: true
          description: Job id of the created job
          deprecated: false
          examples:
            200 Reconciliation Job Done:
              summary: 200 Reconciliation Job Done
              value: d3d19997-c48a-4867-95b9-5a77c3567098
            200 Validation failed:
              summary: 200 Validation failed
              value: 0cf9ae62-545a-403a-a206-f3f99df30570
          schema:
            type: string
            format: uuid
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          schema:
            type: string
            default: 1.0.0
          required: false
      responses:
        default:
          description: 200 Reconciliation Job Done
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP-like status code returned by the API.
                    example: 200
                  transaction_id:
                    type: string
                    format: uuid
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        description: Fully-qualified entity type.
                        example: in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job
                        const: in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job
                      job_id:
                        type: string
                        format: uuid
                        description: ID of the reconciliation job (UUID).
                        example: d3d19997-c48a-4867-95b9-5a77c3567098
                      gstin:
                        type: string
                        description: GSTIN of the taxpayer (15 characters).
                        pattern: ^[0-9]{2}[A-Z0-9]{13}$
                        minLength: 15
                        maxLength: 15
                        example: 24EGCAZ2081S7Z4
                      year:
                        type: integer
                        description: Financial year (calendar year) for the job.
                        example: 2025
                      month:
                        type: integer
                        description: Month number (1-12).
                        minimum: 1
                        maximum: 12
                        example: 12
                      filing_preference:
                        type: string
                        description: Filing preference used for the job.
                        enum:
                          - monthly
                        example: monthly
                      reconciliation_criteria:
                        type: string
                        description: Matching criteria used for reconciliation.
                        enum:
                          - strict
                        example: strict
                      status:
                        type: string
                        description: Current status of the job.
                        enum:
                          - created
                          - queued
                          - in_progress
                          - succeeded
                          - failed
                        example: created
                      reconciliation_report_url:
                        type: string
                        format: uri
                        description: Presigned URL for the reconciliation report.
                      created_at:
                        type: integer
                        description: Job creation timestamp in milliseconds since epoch
                      updated_at:
                        type: integer
                        description: Job updation timestamp in milliseconds since epoch
                  timestamp:
                    type: integer
              examples:
                200 Reconciliation Job Done:
                  summary: 200 Reconciliation Job Done
                  value:
                    code: 200
                    transaction_id: d3d19997-c48a-4867-95b9-5a77c3567098
                    data:
                      '@entity': in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job
                      job_id: d3d19997-c48a-4867-95b9-5a77c3567098
                      gstin: 24EGCAZ2081S7Z4
                      year: 2023
                      month: 12
                      reconciliation_criteria: strict
                      status: succeeded
                      reconciliation_report_url: >-
                        https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2a-reconciliation/gstr-2a-reconciliation-report.xlsx
                      created_at: 123
                      updated_at: 123
                    timestamp: 123
                200 Validation failed:
                  summary: 200 Validation failed
                  value:
                    code: 200
                    transaction_id: d3d19997-c48a-4867-95b9-5a77c3567098
                    data:
                      '@entity': in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job
                      job_id: 0cf9ae62-545a-403a-a206-f3f99df30570
                      gstin: 24EGCAZ2081S7Z4
                      year: 2023
                      month: 12
                      filing_preference: monthly
                      reconciliation_criteria: strict
                      status: failed
                      message: Purchase ledger invalid as per schema
                      validation_report_url: >-
                        https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2a-reconciliation/gstr-2a-reconciliation-report.xlsx
                      created_at: 1777291058000
                      updated_at: 1777291058000
                    timestamp: 1777291058000

````